- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::LayerBlendModeEx Class Reference

Class which manages blending of both colour and alpha components. More...

`#include <OgreBlendMode.h>`

List of all members.

## Public Member Functions
bool | operator== (const LayerBlendModeEx &rhs) const
bool | operator!= (const LayerBlendModeEx &rhs) const
## Public Attributes
LayerBlendType | blendType
| The type of blending (colour or alpha).
LayerBlendOperationEx | operation
| The operation to be applied.
LayerBlendSource | source1
| The first source of colour/alpha.
LayerBlendSource | source2
| The second source of colour/alpha.
ColourValue | colourArg1
| Manual colour value for manual source1.
ColourValue | colourArg2
| Manual colour value for manual source2.
Real | alphaArg1
| Manual alpha value for manual source1.
Real | alphaArg2
| Manual alpha value for manual source2.
Real | factor
| Manual blending factor.

## Detailed Description

Class which manages blending of both colour and alpha components.

Remarks:
  This class is a utility class used by both TextureUnitState and RenderSystem to wrap up the details of a blending operation. This blending operation could be used for blending colour or alpha in a texture layer. This class is really only for use by OGRE, since apps can deal with blending modes through the TextureUnitState class methods setColourOperation and setAlphaOperation.

  It's worth noting that these operations are for blending between texture layers and not between rendered objects and the existing scene. If you wish to make an object blend with others in the scene, e.g. to make transparent objects etc, use the Material::setSceneBlending method.

Definition at line 134 of file OgreBlendMode.h.

## Member Function Documentation

bool Ogre::LayerBlendModeEx::operator== | ( | const LayerBlendModeEx & | rhs | ) | const

Definition at line 157 of file OgreBlendMode.h.

References alphaArg1, alphaArg2, blendType, colourArg1, colourArg2, factor, Ogre::LBT_COLOUR, operation, source1, and source2.

bool Ogre::LayerBlendModeEx::operator!= | ( | const LayerBlendModeEx & | rhs | ) | const

Definition at line 189 of file OgreBlendMode.h.

## Member Data Documentation

LayerBlendType Ogre::LayerBlendModeEx::blendType

The type of blending (colour or alpha).

Definition at line 138 of file OgreBlendMode.h.

Referenced by operator==().

LayerBlendOperationEx Ogre::LayerBlendModeEx::operation

The operation to be applied.

Definition at line 140 of file OgreBlendMode.h.

Referenced by operator==().

LayerBlendSource Ogre::LayerBlendModeEx::source1

The first source of colour/alpha.

Definition at line 142 of file OgreBlendMode.h.

Referenced by operator==().

LayerBlendSource Ogre::LayerBlendModeEx::source2

The second source of colour/alpha.

Definition at line 144 of file OgreBlendMode.h.

Referenced by operator==().

ColourValue Ogre::LayerBlendModeEx::colourArg1

Manual colour value for manual source1.

Definition at line 147 of file OgreBlendMode.h.

Referenced by operator==().

ColourValue Ogre::LayerBlendModeEx::colourArg2

Manual colour value for manual source2.

Definition at line 149 of file OgreBlendMode.h.

Referenced by operator==().

Real Ogre::LayerBlendModeEx::alphaArg1

Manual alpha value for manual source1.

Definition at line 151 of file OgreBlendMode.h.

Referenced by operator==().

Real Ogre::LayerBlendModeEx::alphaArg2

Manual alpha value for manual source2.

Definition at line 153 of file OgreBlendMode.h.

Referenced by operator==().

Real Ogre::LayerBlendModeEx::factor

Manual blending factor.

Definition at line 155 of file OgreBlendMode.h.

Referenced by operator==().

The documentation for this class was generated from the following file:

- OgreBlendMode.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:13 2008